Bug 407031 - Review Request: pcapy - A Python interface to libpcap
Review Request: pcapy - A Python interface to libpcap
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
Blocks: 407041
  Show dependency treegraph
Reported: 2007-11-30 19:04 EST by Jon Ciesla
Modified: 2007-12-06 15:56 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.10.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-06 15:56:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-11-30 19:04:03 EST
SPEC URL : http://zanoni/fedora/pcapy/pcapy.spec
SRPM URL: http://zanoni/fedora/pcapy/pcapy-0.10.5-1.fc8.src.rpm
Description: Pcapy is a Python extension module that interfaces with the libpcap
packet capture library. Pcapy enables python scripts to capture packets
on the network. Pcapy is highly effective when used in conjunction with 
a packet-handling package such as Impacket, which is a collection of 
Python classes for constructing and dissecting network packets.
Comment 1 Parag AN(पराग) 2007-11-30 21:49:03 EST
Unable to download SRPM
Comment 2 Jason Tibbitts 2007-12-01 22:27:27 EST
Yeah, the URLs are obviously bogus.  However, these seem correct:

Comment 3 Jon Ciesla 2007-12-02 18:40:14 EST
Sorry, copy/paste error. :)
Comment 4 Jason Tibbitts 2007-12-04 00:53:48 EST
Not much here; just one non-documentation file.

As far as I can tell, ASL 1.1 is compatible with the current Python license.

As far as I know there is no reason to call ldconfig in this package; the .so
file that's installed isn't in the search path, so the ldconfig call is simply

Since that's the only issue I can fine, I'll go ahead and approve this and you
can remove the %post and %postun scriptlets when you check in.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   pcapy = 0.10.5-1.fc9
   python(abi) = 2.5

* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X ldconfig scriptlets are unneeded.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just remove the unneeded scriptlets.
Comment 5 Jon Ciesla 2007-12-04 07:02:30 EST
Many thanks!  Scriptlets removed.

New Package CVS Request
Package Name: pcapy
Short Description: A Python interface to libpcap
Owners: limb
Branches: F-7 F-8 EL-4 EL-5
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-12-04 15:04:06 EST
cvs done.
Comment 7 Fedora Update System 2007-12-06 15:56:05 EST
pcapy-0.10.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.